Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network239.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
239.0.0.0
Broadcast address
239.255.255.255
First usable
239.0.0.1
Last usable
239.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EF000000 · Integer 4009754624 to 4026531839
Reverse DNS zone
239.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101111..00000000.00000000.00000000239.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11101111..00000000.00000000.00000000239.0.0.0
Broadcast11101111..11111111.11111111.11111111239.255.255.255
Split into smaller subnets/16

239.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1239.0.0.0/16239.0.0.1 to 239.0.255.254239.0.255.25565,534
2239.1.0.0/16239.1.0.1 to 239.1.255.254239.1.255.25565,534
3239.2.0.0/16239.2.0.1 to 239.2.255.254239.2.255.25565,534
4239.3.0.0/16239.3.0.1 to 239.3.255.254239.3.255.25565,534
5239.4.0.0/16239.4.0.1 to 239.4.255.254239.4.255.25565,534
6239.5.0.0/16239.5.0.1 to 239.5.255.254239.5.255.25565,534
7239.6.0.0/16239.6.0.1 to 239.6.255.254239.6.255.25565,534
8239.7.0.0/16239.7.0.1 to 239.7.255.254239.7.255.25565,534
9239.8.0.0/16239.8.0.1 to 239.8.255.254239.8.255.25565,534
10239.9.0.0/16239.9.0.1 to 239.9.255.254239.9.255.25565,534
11239.10.0.0/16239.10.0.1 to 239.10.255.254239.10.255.25565,534
12239.11.0.0/16239.11.0.1 to 239.11.255.254239.11.255.25565,534
13239.12.0.0/16239.12.0.1 to 239.12.255.254239.12.255.25565,534
14239.13.0.0/16239.13.0.1 to 239.13.255.254239.13.255.25565,534
15239.14.0.0/16239.14.0.1 to 239.14.255.254239.14.255.25565,534
16239.15.0.0/16239.15.0.1 to 239.15.255.254239.15.255.25565,534
17239.16.0.0/16239.16.0.1 to 239.16.255.254239.16.255.25565,534
18239.17.0.0/16239.17.0.1 to 239.17.255.254239.17.255.25565,534
19239.18.0.0/16239.18.0.1 to 239.18.255.254239.18.255.25565,534
20239.19.0.0/16239.19.0.1 to 239.19.255.254239.19.255.25565,534
21239.20.0.0/16239.20.0.1 to 239.20.255.254239.20.255.25565,534
22239.21.0.0/16239.21.0.1 to 239.21.255.254239.21.255.25565,534
23239.22.0.0/16239.22.0.1 to 239.22.255.254239.22.255.25565,534
24239.23.0.0/16239.23.0.1 to 239.23.255.254239.23.255.25565,534
25239.24.0.0/16239.24.0.1 to 239.24.255.254239.24.255.25565,534
26239.25.0.0/16239.25.0.1 to 239.25.255.254239.25.255.25565,534
27239.26.0.0/16239.26.0.1 to 239.26.255.254239.26.255.25565,534
28239.27.0.0/16239.27.0.1 to 239.27.255.254239.27.255.25565,534
29239.28.0.0/16239.28.0.1 to 239.28.255.254239.28.255.25565,534
30239.29.0.0/16239.29.0.1 to 239.29.255.254239.29.255.25565,534
31239.30.0.0/16239.30.0.1 to 239.30.255.254239.30.255.25565,534
32239.31.0.0/16239.31.0.1 to 239.31.255.254239.31.255.25565,534
33239.32.0.0/16239.32.0.1 to 239.32.255.254239.32.255.25565,534
34239.33.0.0/16239.33.0.1 to 239.33.255.254239.33.255.25565,534
35239.34.0.0/16239.34.0.1 to 239.34.255.254239.34.255.25565,534
36239.35.0.0/16239.35.0.1 to 239.35.255.254239.35.255.25565,534
37239.36.0.0/16239.36.0.1 to 239.36.255.254239.36.255.25565,534
38239.37.0.0/16239.37.0.1 to 239.37.255.254239.37.255.25565,534
39239.38.0.0/16239.38.0.1 to 239.38.255.254239.38.255.25565,534
40239.39.0.0/16239.39.0.1 to 239.39.255.254239.39.255.25565,534
41239.40.0.0/16239.40.0.1 to 239.40.255.254239.40.255.25565,534
42239.41.0.0/16239.41.0.1 to 239.41.255.254239.41.255.25565,534
43239.42.0.0/16239.42.0.1 to 239.42.255.254239.42.255.25565,534
44239.43.0.0/16239.43.0.1 to 239.43.255.254239.43.255.25565,534
45239.44.0.0/16239.44.0.1 to 239.44.255.254239.44.255.25565,534
46239.45.0.0/16239.45.0.1 to 239.45.255.254239.45.255.25565,534
47239.46.0.0/16239.46.0.1 to 239.46.255.254239.46.255.25565,534
48239.47.0.0/16239.47.0.1 to 239.47.255.254239.47.255.25565,534
49239.48.0.0/16239.48.0.1 to 239.48.255.254239.48.255.25565,534
50239.49.0.0/16239.49.0.1 to 239.49.255.254239.49.255.25565,534
51239.50.0.0/16239.50.0.1 to 239.50.255.254239.50.255.25565,534
52239.51.0.0/16239.51.0.1 to 239.51.255.254239.51.255.25565,534
53239.52.0.0/16239.52.0.1 to 239.52.255.254239.52.255.25565,534
54239.53.0.0/16239.53.0.1 to 239.53.255.254239.53.255.25565,534
55239.54.0.0/16239.54.0.1 to 239.54.255.254239.54.255.25565,534
56239.55.0.0/16239.55.0.1 to 239.55.255.254239.55.255.25565,534
57239.56.0.0/16239.56.0.1 to 239.56.255.254239.56.255.25565,534
58239.57.0.0/16239.57.0.1 to 239.57.255.254239.57.255.25565,534
59239.58.0.0/16239.58.0.1 to 239.58.255.254239.58.255.25565,534
60239.59.0.0/16239.59.0.1 to 239.59.255.254239.59.255.25565,534
61239.60.0.0/16239.60.0.1 to 239.60.255.254239.60.255.25565,534
62239.61.0.0/16239.61.0.1 to 239.61.255.254239.61.255.25565,534
63239.62.0.0/16239.62.0.1 to 239.62.255.254239.62.255.25565,534
64239.63.0.0/16239.63.0.1 to 239.63.255.254239.63.255.25565,534
65239.64.0.0/16239.64.0.1 to 239.64.255.254239.64.255.25565,534
66239.65.0.0/16239.65.0.1 to 239.65.255.254239.65.255.25565,534
67239.66.0.0/16239.66.0.1 to 239.66.255.254239.66.255.25565,534
68239.67.0.0/16239.67.0.1 to 239.67.255.254239.67.255.25565,534
69239.68.0.0/16239.68.0.1 to 239.68.255.254239.68.255.25565,534
70239.69.0.0/16239.69.0.1 to 239.69.255.254239.69.255.25565,534
71239.70.0.0/16239.70.0.1 to 239.70.255.254239.70.255.25565,534
72239.71.0.0/16239.71.0.1 to 239.71.255.254239.71.255.25565,534
73239.72.0.0/16239.72.0.1 to 239.72.255.254239.72.255.25565,534
74239.73.0.0/16239.73.0.1 to 239.73.255.254239.73.255.25565,534
75239.74.0.0/16239.74.0.1 to 239.74.255.254239.74.255.25565,534
76239.75.0.0/16239.75.0.1 to 239.75.255.254239.75.255.25565,534
77239.76.0.0/16239.76.0.1 to 239.76.255.254239.76.255.25565,534
78239.77.0.0/16239.77.0.1 to 239.77.255.254239.77.255.25565,534
79239.78.0.0/16239.78.0.1 to 239.78.255.254239.78.255.25565,534
80239.79.0.0/16239.79.0.1 to 239.79.255.254239.79.255.25565,534
81239.80.0.0/16239.80.0.1 to 239.80.255.254239.80.255.25565,534
82239.81.0.0/16239.81.0.1 to 239.81.255.254239.81.255.25565,534
83239.82.0.0/16239.82.0.1 to 239.82.255.254239.82.255.25565,534
84239.83.0.0/16239.83.0.1 to 239.83.255.254239.83.255.25565,534
85239.84.0.0/16239.84.0.1 to 239.84.255.254239.84.255.25565,534
86239.85.0.0/16239.85.0.1 to 239.85.255.254239.85.255.25565,534
87239.86.0.0/16239.86.0.1 to 239.86.255.254239.86.255.25565,534
88239.87.0.0/16239.87.0.1 to 239.87.255.254239.87.255.25565,534
89239.88.0.0/16239.88.0.1 to 239.88.255.254239.88.255.25565,534
90239.89.0.0/16239.89.0.1 to 239.89.255.254239.89.255.25565,534
91239.90.0.0/16239.90.0.1 to 239.90.255.254239.90.255.25565,534
92239.91.0.0/16239.91.0.1 to 239.91.255.254239.91.255.25565,534
93239.92.0.0/16239.92.0.1 to 239.92.255.254239.92.255.25565,534
94239.93.0.0/16239.93.0.1 to 239.93.255.254239.93.255.25565,534
95239.94.0.0/16239.94.0.1 to 239.94.255.254239.94.255.25565,534
96239.95.0.0/16239.95.0.1 to 239.95.255.254239.95.255.25565,534
97239.96.0.0/16239.96.0.1 to 239.96.255.254239.96.255.25565,534
98239.97.0.0/16239.97.0.1 to 239.97.255.254239.97.255.25565,534
99239.98.0.0/16239.98.0.1 to 239.98.255.254239.98.255.25565,534
100239.99.0.0/16239.99.0.1 to 239.99.255.254239.99.255.25565,534
101239.100.0.0/16239.100.0.1 to 239.100.255.254239.100.255.25565,534
102239.101.0.0/16239.101.0.1 to 239.101.255.254239.101.255.25565,534
103239.102.0.0/16239.102.0.1 to 239.102.255.254239.102.255.25565,534
104239.103.0.0/16239.103.0.1 to 239.103.255.254239.103.255.25565,534
105239.104.0.0/16239.104.0.1 to 239.104.255.254239.104.255.25565,534
106239.105.0.0/16239.105.0.1 to 239.105.255.254239.105.255.25565,534
107239.106.0.0/16239.106.0.1 to 239.106.255.254239.106.255.25565,534
108239.107.0.0/16239.107.0.1 to 239.107.255.254239.107.255.25565,534
109239.108.0.0/16239.108.0.1 to 239.108.255.254239.108.255.25565,534
110239.109.0.0/16239.109.0.1 to 239.109.255.254239.109.255.25565,534
111239.110.0.0/16239.110.0.1 to 239.110.255.254239.110.255.25565,534
112239.111.0.0/16239.111.0.1 to 239.111.255.254239.111.255.25565,534
113239.112.0.0/16239.112.0.1 to 239.112.255.254239.112.255.25565,534
114239.113.0.0/16239.113.0.1 to 239.113.255.254239.113.255.25565,534
115239.114.0.0/16239.114.0.1 to 239.114.255.254239.114.255.25565,534
116239.115.0.0/16239.115.0.1 to 239.115.255.254239.115.255.25565,534
117239.116.0.0/16239.116.0.1 to 239.116.255.254239.116.255.25565,534
118239.117.0.0/16239.117.0.1 to 239.117.255.254239.117.255.25565,534
119239.118.0.0/16239.118.0.1 to 239.118.255.254239.118.255.25565,534
120239.119.0.0/16239.119.0.1 to 239.119.255.254239.119.255.25565,534
121239.120.0.0/16239.120.0.1 to 239.120.255.254239.120.255.25565,534
122239.121.0.0/16239.121.0.1 to 239.121.255.254239.121.255.25565,534
123239.122.0.0/16239.122.0.1 to 239.122.255.254239.122.255.25565,534
124239.123.0.0/16239.123.0.1 to 239.123.255.254239.123.255.25565,534
125239.124.0.0/16239.124.0.1 to 239.124.255.254239.124.255.25565,534
126239.125.0.0/16239.125.0.1 to 239.125.255.254239.125.255.25565,534
127239.126.0.0/16239.126.0.1 to 239.126.255.254239.126.255.25565,534
128239.127.0.0/16239.127.0.1 to 239.127.255.254239.127.255.25565,534
129239.128.0.0/16239.128.0.1 to 239.128.255.254239.128.255.25565,534
130239.129.0.0/16239.129.0.1 to 239.129.255.254239.129.255.25565,534
131239.130.0.0/16239.130.0.1 to 239.130.255.254239.130.255.25565,534
132239.131.0.0/16239.131.0.1 to 239.131.255.254239.131.255.25565,534
133239.132.0.0/16239.132.0.1 to 239.132.255.254239.132.255.25565,534
134239.133.0.0/16239.133.0.1 to 239.133.255.254239.133.255.25565,534
135239.134.0.0/16239.134.0.1 to 239.134.255.254239.134.255.25565,534
136239.135.0.0/16239.135.0.1 to 239.135.255.254239.135.255.25565,534
137239.136.0.0/16239.136.0.1 to 239.136.255.254239.136.255.25565,534
138239.137.0.0/16239.137.0.1 to 239.137.255.254239.137.255.25565,534
139239.138.0.0/16239.138.0.1 to 239.138.255.254239.138.255.25565,534
140239.139.0.0/16239.139.0.1 to 239.139.255.254239.139.255.25565,534
141239.140.0.0/16239.140.0.1 to 239.140.255.254239.140.255.25565,534
142239.141.0.0/16239.141.0.1 to 239.141.255.254239.141.255.25565,534
143239.142.0.0/16239.142.0.1 to 239.142.255.254239.142.255.25565,534
144239.143.0.0/16239.143.0.1 to 239.143.255.254239.143.255.25565,534
145239.144.0.0/16239.144.0.1 to 239.144.255.254239.144.255.25565,534
146239.145.0.0/16239.145.0.1 to 239.145.255.254239.145.255.25565,534
147239.146.0.0/16239.146.0.1 to 239.146.255.254239.146.255.25565,534
148239.147.0.0/16239.147.0.1 to 239.147.255.254239.147.255.25565,534
149239.148.0.0/16239.148.0.1 to 239.148.255.254239.148.255.25565,534
150239.149.0.0/16239.149.0.1 to 239.149.255.254239.149.255.25565,534
151239.150.0.0/16239.150.0.1 to 239.150.255.254239.150.255.25565,534
152239.151.0.0/16239.151.0.1 to 239.151.255.254239.151.255.25565,534
153239.152.0.0/16239.152.0.1 to 239.152.255.254239.152.255.25565,534
154239.153.0.0/16239.153.0.1 to 239.153.255.254239.153.255.25565,534
155239.154.0.0/16239.154.0.1 to 239.154.255.254239.154.255.25565,534
156239.155.0.0/16239.155.0.1 to 239.155.255.254239.155.255.25565,534
157239.156.0.0/16239.156.0.1 to 239.156.255.254239.156.255.25565,534
158239.157.0.0/16239.157.0.1 to 239.157.255.254239.157.255.25565,534
159239.158.0.0/16239.158.0.1 to 239.158.255.254239.158.255.25565,534
160239.159.0.0/16239.159.0.1 to 239.159.255.254239.159.255.25565,534
161239.160.0.0/16239.160.0.1 to 239.160.255.254239.160.255.25565,534
162239.161.0.0/16239.161.0.1 to 239.161.255.254239.161.255.25565,534
163239.162.0.0/16239.162.0.1 to 239.162.255.254239.162.255.25565,534
164239.163.0.0/16239.163.0.1 to 239.163.255.254239.163.255.25565,534
165239.164.0.0/16239.164.0.1 to 239.164.255.254239.164.255.25565,534
166239.165.0.0/16239.165.0.1 to 239.165.255.254239.165.255.25565,534
167239.166.0.0/16239.166.0.1 to 239.166.255.254239.166.255.25565,534
168239.167.0.0/16239.167.0.1 to 239.167.255.254239.167.255.25565,534
169239.168.0.0/16239.168.0.1 to 239.168.255.254239.168.255.25565,534
170239.169.0.0/16239.169.0.1 to 239.169.255.254239.169.255.25565,534
171239.170.0.0/16239.170.0.1 to 239.170.255.254239.170.255.25565,534
172239.171.0.0/16239.171.0.1 to 239.171.255.254239.171.255.25565,534
173239.172.0.0/16239.172.0.1 to 239.172.255.254239.172.255.25565,534
174239.173.0.0/16239.173.0.1 to 239.173.255.254239.173.255.25565,534
175239.174.0.0/16239.174.0.1 to 239.174.255.254239.174.255.25565,534
176239.175.0.0/16239.175.0.1 to 239.175.255.254239.175.255.25565,534
177239.176.0.0/16239.176.0.1 to 239.176.255.254239.176.255.25565,534
178239.177.0.0/16239.177.0.1 to 239.177.255.254239.177.255.25565,534
179239.178.0.0/16239.178.0.1 to 239.178.255.254239.178.255.25565,534
180239.179.0.0/16239.179.0.1 to 239.179.255.254239.179.255.25565,534
181239.180.0.0/16239.180.0.1 to 239.180.255.254239.180.255.25565,534
182239.181.0.0/16239.181.0.1 to 239.181.255.254239.181.255.25565,534
183239.182.0.0/16239.182.0.1 to 239.182.255.254239.182.255.25565,534
184239.183.0.0/16239.183.0.1 to 239.183.255.254239.183.255.25565,534
185239.184.0.0/16239.184.0.1 to 239.184.255.254239.184.255.25565,534
186239.185.0.0/16239.185.0.1 to 239.185.255.254239.185.255.25565,534
187239.186.0.0/16239.186.0.1 to 239.186.255.254239.186.255.25565,534
188239.187.0.0/16239.187.0.1 to 239.187.255.254239.187.255.25565,534
189239.188.0.0/16239.188.0.1 to 239.188.255.254239.188.255.25565,534
190239.189.0.0/16239.189.0.1 to 239.189.255.254239.189.255.25565,534
191239.190.0.0/16239.190.0.1 to 239.190.255.254239.190.255.25565,534
192239.191.0.0/16239.191.0.1 to 239.191.255.254239.191.255.25565,534
193239.192.0.0/16239.192.0.1 to 239.192.255.254239.192.255.25565,534
194239.193.0.0/16239.193.0.1 to 239.193.255.254239.193.255.25565,534
195239.194.0.0/16239.194.0.1 to 239.194.255.254239.194.255.25565,534
196239.195.0.0/16239.195.0.1 to 239.195.255.254239.195.255.25565,534
197239.196.0.0/16239.196.0.1 to 239.196.255.254239.196.255.25565,534
198239.197.0.0/16239.197.0.1 to 239.197.255.254239.197.255.25565,534
199239.198.0.0/16239.198.0.1 to 239.198.255.254239.198.255.25565,534
200239.199.0.0/16239.199.0.1 to 239.199.255.254239.199.255.25565,534
201239.200.0.0/16239.200.0.1 to 239.200.255.254239.200.255.25565,534
202239.201.0.0/16239.201.0.1 to 239.201.255.254239.201.255.25565,534
203239.202.0.0/16239.202.0.1 to 239.202.255.254239.202.255.25565,534
204239.203.0.0/16239.203.0.1 to 239.203.255.254239.203.255.25565,534
205239.204.0.0/16239.204.0.1 to 239.204.255.254239.204.255.25565,534
206239.205.0.0/16239.205.0.1 to 239.205.255.254239.205.255.25565,534
207239.206.0.0/16239.206.0.1 to 239.206.255.254239.206.255.25565,534
208239.207.0.0/16239.207.0.1 to 239.207.255.254239.207.255.25565,534
209239.208.0.0/16239.208.0.1 to 239.208.255.254239.208.255.25565,534
210239.209.0.0/16239.209.0.1 to 239.209.255.254239.209.255.25565,534
211239.210.0.0/16239.210.0.1 to 239.210.255.254239.210.255.25565,534
212239.211.0.0/16239.211.0.1 to 239.211.255.254239.211.255.25565,534
213239.212.0.0/16239.212.0.1 to 239.212.255.254239.212.255.25565,534
214239.213.0.0/16239.213.0.1 to 239.213.255.254239.213.255.25565,534
215239.214.0.0/16239.214.0.1 to 239.214.255.254239.214.255.25565,534
216239.215.0.0/16239.215.0.1 to 239.215.255.254239.215.255.25565,534
217239.216.0.0/16239.216.0.1 to 239.216.255.254239.216.255.25565,534
218239.217.0.0/16239.217.0.1 to 239.217.255.254239.217.255.25565,534
219239.218.0.0/16239.218.0.1 to 239.218.255.254239.218.255.25565,534
220239.219.0.0/16239.219.0.1 to 239.219.255.254239.219.255.25565,534
221239.220.0.0/16239.220.0.1 to 239.220.255.254239.220.255.25565,534
222239.221.0.0/16239.221.0.1 to 239.221.255.254239.221.255.25565,534
223239.222.0.0/16239.222.0.1 to 239.222.255.254239.222.255.25565,534
224239.223.0.0/16239.223.0.1 to 239.223.255.254239.223.255.25565,534
225239.224.0.0/16239.224.0.1 to 239.224.255.254239.224.255.25565,534
226239.225.0.0/16239.225.0.1 to 239.225.255.254239.225.255.25565,534
227239.226.0.0/16239.226.0.1 to 239.226.255.254239.226.255.25565,534
228239.227.0.0/16239.227.0.1 to 239.227.255.254239.227.255.25565,534
229239.228.0.0/16239.228.0.1 to 239.228.255.254239.228.255.25565,534
230239.229.0.0/16239.229.0.1 to 239.229.255.254239.229.255.25565,534
231239.230.0.0/16239.230.0.1 to 239.230.255.254239.230.255.25565,534
232239.231.0.0/16239.231.0.1 to 239.231.255.254239.231.255.25565,534
233239.232.0.0/16239.232.0.1 to 239.232.255.254239.232.255.25565,534
234239.233.0.0/16239.233.0.1 to 239.233.255.254239.233.255.25565,534
235239.234.0.0/16239.234.0.1 to 239.234.255.254239.234.255.25565,534
236239.235.0.0/16239.235.0.1 to 239.235.255.254239.235.255.25565,534
237239.236.0.0/16239.236.0.1 to 239.236.255.254239.236.255.25565,534
238239.237.0.0/16239.237.0.1 to 239.237.255.254239.237.255.25565,534
239239.238.0.0/16239.238.0.1 to 239.238.255.254239.238.255.25565,534
240239.239.0.0/16239.239.0.1 to 239.239.255.254239.239.255.25565,534
241239.240.0.0/16239.240.0.1 to 239.240.255.254239.240.255.25565,534
242239.241.0.0/16239.241.0.1 to 239.241.255.254239.241.255.25565,534
243239.242.0.0/16239.242.0.1 to 239.242.255.254239.242.255.25565,534
244239.243.0.0/16239.243.0.1 to 239.243.255.254239.243.255.25565,534
245239.244.0.0/16239.244.0.1 to 239.244.255.254239.244.255.25565,534
246239.245.0.0/16239.245.0.1 to 239.245.255.254239.245.255.25565,534
247239.246.0.0/16239.246.0.1 to 239.246.255.254239.246.255.25565,534
248239.247.0.0/16239.247.0.1 to 239.247.255.254239.247.255.25565,534
249239.248.0.0/16239.248.0.1 to 239.248.255.254239.248.255.25565,534
250239.249.0.0/16239.249.0.1 to 239.249.255.254239.249.255.25565,534
251239.250.0.0/16239.250.0.1 to 239.250.255.254239.250.255.25565,534
252239.251.0.0/16239.251.0.1 to 239.251.255.254239.251.255.25565,534
253239.252.0.0/16239.252.0.1 to 239.252.255.254239.252.255.25565,534
254239.253.0.0/16239.253.0.1 to 239.253.255.254239.253.255.25565,534
255239.254.0.0/16239.254.0.1 to 239.254.255.254239.254.255.25565,534
256239.255.0.0/16239.255.0.1 to 239.255.255.254239.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses